package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AreaFireDistribution;
import com.lightinit.hsdatashow.entity.AreaFireDistributionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.AccidentDistributionModel;
import com.lightinit.hsdatashow.model.admin.ChartModel2;
import org.apache.ibatis.annotations.Param;

public interface AreaFireDistributionMapper {
    long countByExample(AreaFireDistributionExample example);

    int deleteByExample(AreaFireDistributionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AreaFireDistribution record);

    int insertSelective(AreaFireDistribution record);

    List<AreaFireDistribution> selectByExample(AreaFireDistributionExample example);

    AreaFireDistribution selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AreaFireDistribution record, @Param("example") AreaFireDistributionExample example);

    int updateByExample(@Param("record") AreaFireDistribution record, @Param("example") AreaFireDistributionExample example);

    int updateByPrimaryKeySelective(AreaFireDistribution record);

    int updateByPrimaryKey(AreaFireDistribution record);

    List<AccidentDistributionModel> getAreFireDistribution();
}